package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: FaceQueryReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:34
 */
@Data
public class Nft020FaceQueryResp implements Serializable {
    /**
     * 人脸核身结果
     */
    private Boolean result;

    private static final Nft020FaceQueryResp obj = new Nft020FaceQueryResp();
    public static Nft020FaceQueryResp getNew() {
        try {
            return (Nft020FaceQueryResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft020FaceQueryResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
